/*
Theme Name: OceanWP Child Theme
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme. Sample child theme.
Author: OceanWP
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 1.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */
::-webkit-scrollbar
{
 width: 8px;
}


/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey; 
  border-radius: 0px;
            background-color: #0D0D0D;
            border: 1px solid #0D0D0D;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  border-radius: 8px;
  background-color: #FED403;
  background-image: linear-gradient(90deg, #FED403 0%, #FED403 100%);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #FED403; 
}
a:hover, a:focus{
	outline:0!important;
}
p:last-child
{
	margin-bottom:0;
}
.elementor-column-gap-default>.elementor-column>.elementor-element-populated
{
	padding:0 10px;
}
.ekit-wid-con .ekit_sidebar-textwidget
{
	padding-top:15px !important;
}

.btn1 .qodef-m-icon svg {
       padding: 10px;
    background: #000 !important;
    color: #fff;
    width: 40px !important;
    height: 40px !important;
    border-radius: 5px;
    stroke: none !important;
}
.section-title .elementor-heading-title {
    padding-left: 16px;
    display: inline-block;
    position: relative;
}
.section-title .elementor-heading-title::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    bottom: 0;
    transform: translateY(-50%);
    background-color: #FED403;
    mask-image: url('https://hsbuildingandroofing.co.uk/wp-content/uploads/2026/06/icon-sub-heading-1.svg');
    mask-repeat: no-repeat;
    width: 6px;
    height: 6px;
}
.main-header-menu {
/*     backdrop-filter: blur(30px) saturate(100%);
    -webkit-backdrop-filter: blur(30px) saturate(100%); */
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 2;
    background-color: #ffffff1a !important;
    
}
.main-header-menu:after {
   position: absolute;
    top: 0;
    width: 100%;
    content: '';
    backdrop-filter: blur(30px) saturate(100%);
    left: 0;
    -webkit-backdrop-filter: blur(30px) saturate(100%);
    right: 0;
    bottom: 0;
}

.btn2 .qodef-m-icon svg {
     padding: 8px;
    background: #FED403 !important;
    color: #000;
    width: 30px !important;
    height: 30px !important;
    border-radius: 50px;
    stroke: none !important;
    transform: rotate(-45deg);
    transition: all .5s ease;
}
.btn2:hover .qodef-m-icon svg {
    transform: rotate(0deg);
}


.img-flash .elementor-widget-container
{
	position: relative;
	overflow: hidden;
}

.img-flash .elementor-widget-container:after{
	content: '';
	position: absolute;
	width: 200%;
	height: 0%;
	left: 50%;
	top: 50%;
	background-color: rgba(255,255,255,.3);
	transform: translate(-50%,-50%) rotate(-45deg);
	z-index: 1;
}
.img-flash .elementor-widget-container:hover:after {
	height: 250%;
	transition: all 600ms linear !important;
	background-color: transparent;
}

.btn3 .qodef-m-icon svg {
       padding: 10px;
    background: #000 !important;
    color: #fff;
    width: 40px !important;
    height: 40px !important;
    border-radius: 5px;
    stroke: none !important;
}
.btn3:hover .qodef-m-icon svg {
        background: #FED403 !important;
         color: #000;
}

.service-section.elementor-view-stacked .elementor-icon {
    transition: all .5s ease;
    transform: rotate(-45deg);
}
.bx-service:hover .service-section.elementor-view-stacked .elementor-icon  {
     transform: rotate(0deg);
}

.circle_1 {
    text-align: center;
}

.circle_1 .elementor-widget-container {
    width: 150px;
    height: 150px;
    margin: 0 auto;
    position: relative;

    background: #ffffff1a;
    border: 1px solid #ffffff1a;
    border-radius: 50%;

    display: flex;
    align-items: center;
    justify-content: center;
}

.circle_1 .elementor-widget-container img {
    position: absolute;
    width: 50px; /* Adjust icon size */
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
}

.circle_1 .elementor-widget-container svg {
    width: 100%;
    height: 100%;
    overflow: visible;
}

.circle_1 text {
    fill: #ffffff;
    font-size: 10px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.5px;
}

.rotate {
    animation: rotation 20s linear infinite;
    transform-origin: center;
}

@keyframes rotation {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}
.circle_1 .elementor-widget-container {
    padding: 10px 12px;
}
.scrolling-content .qodef-e-icon-holder {
    animation: 3s linear 0s infinite normal none running sparkelotate;
}

@keyframes sparkelotate {

0% {
    transform: rotate(0deg) scale(1);
}

50% {
    transform: rotate(180deg) scale(0.5);
}

100% {
    transform: rotate(360deg) scale(1);
}
}
.footer-box:after {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    z-index: 1;
}

.footer-box:after {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    z-index: 1;
}
.frm1 .elementor-field-group .elementor-field-textual {
    padding: 14px;
}

.icn-srvce .elementor-icon-box-icon {
    transform: rotate(-45deg);
    transition: all .5s ease;
    }
.icn-srvce:hover .elementor-icon-box-icon {
       transform: rotate(0deg);
    
}
.sec-srvce {
    position: sticky;
    top: 20px;
}




